# Void inscriptions

## GET /v1/ordinals/address/{address}/void-protocol-inscriptions/collection/{collectionId}

> Get BRC20 & TAP void inscriptions(already spent/used) owned by an address\
> &#x20;          in a specific collection. A void inscription is a BRC-20 or TAP inscription that is no longer protocol\
> &#x20;           valid (transfer inscriptions become invalid after first transfer, other inscriptions like\
> &#x20;           mint become invalid right after inscribe).

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/ordinals/address/{address}/void-protocol-inscriptions/collection/{collectionId}":{"get":{"tags":["Ordinals"],"description":"Get BRC20 & TAP void inscriptions(already spent/used) owned by an address\n           in a specific collection. A void inscription is a BRC-20 or TAP inscription that is no longer protocol\n            valid (transfer inscriptions become invalid after first transfer, other inscriptions like\n            mint become invalid right after inscribe).","parameters":[{"schema":{"default":0,"minimum":0,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":25,"minimum":25,"maximum":25,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"minLength":10,"default":"bc1q0egjvlcfq77cxd9kvpgppyuxckzvws46e3sxch","format":"BitcoinAddress","type":"string"},"in":"path","name":"address","required":true},{"schema":{"type":"string"},"in":"path","name":"collectionId","required":true}],"responses":{"200":{"description":"Inscriptions for a specific collection owned by an address","content":{"application/json":{"schema":{"description":"Inscriptions for a specific collection owned by an address","type":"object","properties":{"collectionId":{"type":"string"},"collectionName":{"type":"string"},"total":{"type":"number"},"offset":{"type":"number"},"limit":{"type":"number"},"inscriptions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"number"},"sat":{"type":"number"},"contentType":{"type":"string"},"blockHeight":{"type":"number"},"charms":{"type":"array","items":{"type":"string"}},"currentLocation":{"type":"string"}},"required":["id","number","blockHeight","charms"]}}},"required":["collectionId","collectionName","total","offset","limit","inscriptions"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/ordinals/ordinals-by-address/void-inscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
